#ifndef __Term_h__
#define __Term_h__

#include "Node.h"

class Term : public Node{
  int value;

  public :
          Term( int vid,int val,Node * l=NULL, Node * h=NULL): Node(vid,l,h) { value = val; }

  virtual int getValue(){ return value; }
  virtual bool isTerminal(){ return true; }

  /* --- inline pretizena funkce pro vypis informaci o terminalnim uzlu --- */
  virtual ostream& printInfo(ostream& out) const
     {
      out << "Terminalni uzel s ID " << nodeId <<endl;
      out << "    a hodnotou : " << value << endl;
      return out;
     }


     friend Node * operOR(Node * first, Node * second,BDD * diagram);

};


#endif
